diff options
Diffstat (limited to 'configure')
-rwxr-xr-x | configure | 241 |
1 files changed, 182 insertions, 59 deletions
@@ -881,7 +881,7 @@ Optional Packages: | |||
881 | --with-entropy-timeout Specify entropy gathering command timeout (msec) | 881 | --with-entropy-timeout Specify entropy gathering command timeout (msec) |
882 | --with-privsep-user=user Specify non-privileged user for privilege separation | 882 | --with-privsep-user=user Specify non-privileged user for privilege separation |
883 | --with-sectok Enable smartcard support using libsectok | 883 | --with-sectok Enable smartcard support using libsectok |
884 | --with-opensc=PFX Enable smartcard support using OpenSC | 884 | --with-opensc[=PFX] Enable smartcard support using OpenSC (optionally in PATH) |
885 | --with-kerberos5=PATH Enable Kerberos 5 support | 885 | --with-kerberos5=PATH Enable Kerberos 5 support |
886 | --with-privsep-path=xxx Path for privilege separation chroot (default=/var/empty) | 886 | --with-privsep-path=xxx Path for privilege separation chroot (default=/var/empty) |
887 | --with-xauth=PATH Specify path to xauth program | 887 | --with-xauth=PATH Specify path to xauth program |
@@ -4643,6 +4643,77 @@ _ACEOF | |||
4643 | 4643 | ||
4644 | 4644 | ||
4645 | fi | 4645 | fi |
4646 | echo "$as_me:$LINENO: checking whether setauthdb is declared" >&5 | ||
4647 | echo $ECHO_N "checking whether setauthdb is declared... $ECHO_C" >&6 | ||
4648 | if test "${ac_cv_have_decl_setauthdb+set}" = set; then | ||
4649 | echo $ECHO_N "(cached) $ECHO_C" >&6 | ||
4650 | else | ||
4651 | cat >conftest.$ac_ext <<_ACEOF | ||
4652 | /* confdefs.h. */ | ||
4653 | _ACEOF | ||
4654 | cat confdefs.h >>conftest.$ac_ext | ||
4655 | cat >>conftest.$ac_ext <<_ACEOF | ||
4656 | /* end confdefs.h. */ | ||
4657 | #include <usersec.h> | ||
4658 | |||
4659 | int | ||
4660 | main () | ||
4661 | { | ||
4662 | #ifndef setauthdb | ||
4663 | char *p = (char *) setauthdb; | ||
4664 | #endif | ||
4665 | |||
4666 | ; | ||
4667 | return 0; | ||
4668 | } | ||
4669 | _ACEOF | ||
4670 | rm -f conftest.$ac_objext | ||
4671 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
4672 | (eval $ac_compile) 2>conftest.er1 | ||
4673 | ac_status=$? | ||
4674 | grep -v '^ *+' conftest.er1 >conftest.err | ||
4675 | rm -f conftest.er1 | ||
4676 | cat conftest.err >&5 | ||
4677 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
4678 | (exit $ac_status); } && | ||
4679 | { ac_try='test -z "$ac_c_werror_flag" | ||
4680 | || test ! -s conftest.err' | ||
4681 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | ||
4682 | (eval $ac_try) 2>&5 | ||
4683 | ac_status=$? | ||
4684 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
4685 | (exit $ac_status); }; } && | ||
4686 | { ac_try='test -s conftest.$ac_objext' | ||
4687 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | ||
4688 | (eval $ac_try) 2>&5 | ||
4689 | ac_status=$? | ||
4690 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
4691 | (exit $ac_status); }; }; then | ||
4692 | ac_cv_have_decl_setauthdb=yes | ||
4693 | else | ||
4694 | echo "$as_me: failed program was:" >&5 | ||
4695 | sed 's/^/| /' conftest.$ac_ext >&5 | ||
4696 | |||
4697 | ac_cv_have_decl_setauthdb=no | ||
4698 | fi | ||
4699 | rm -f conftest.err conftest.$ac_objext conftest.$ac_ext | ||
4700 | fi | ||
4701 | echo "$as_me:$LINENO: result: $ac_cv_have_decl_setauthdb" >&5 | ||
4702 | echo "${ECHO_T}$ac_cv_have_decl_setauthdb" >&6 | ||
4703 | if test $ac_cv_have_decl_setauthdb = yes; then | ||
4704 | |||
4705 | cat >>confdefs.h <<_ACEOF | ||
4706 | #define HAVE_DECL_SETAUTHDB 1 | ||
4707 | _ACEOF | ||
4708 | |||
4709 | |||
4710 | else | ||
4711 | cat >>confdefs.h <<_ACEOF | ||
4712 | #define HAVE_DECL_SETAUTHDB 0 | ||
4713 | _ACEOF | ||
4714 | |||
4715 | |||
4716 | fi | ||
4646 | 4717 | ||
4647 | 4718 | ||
4648 | echo "$as_me:$LINENO: checking whether loginfailed is declared" >&5 | 4719 | echo "$as_me:$LINENO: checking whether loginfailed is declared" >&5 |
@@ -6004,6 +6075,11 @@ _ACEOF | |||
6004 | #define BROKEN_SETREGID 1 | 6075 | #define BROKEN_SETREGID 1 |
6005 | _ACEOF | 6076 | _ACEOF |
6006 | 6077 | ||
6078 | |||
6079 | cat >>confdefs.h <<\_ACEOF | ||
6080 | #define PASSWD_NEEDS_USERNAME 1 | ||
6081 | _ACEOF | ||
6082 | |||
6007 | ;; | 6083 | ;; |
6008 | # UnixWare 7.x, OpenUNIX 8 | 6084 | # UnixWare 7.x, OpenUNIX 8 |
6009 | *-*-sysv5*) | 6085 | *-*-sysv5*) |
@@ -6023,6 +6099,11 @@ _ACEOF | |||
6023 | #define BROKEN_SETREGID 1 | 6099 | #define BROKEN_SETREGID 1 |
6024 | _ACEOF | 6100 | _ACEOF |
6025 | 6101 | ||
6102 | |||
6103 | cat >>confdefs.h <<\_ACEOF | ||
6104 | #define PASSWD_NEEDS_USERNAME 1 | ||
6105 | _ACEOF | ||
6106 | |||
6026 | ;; | 6107 | ;; |
6027 | *-*-sysv*) | 6108 | *-*-sysv*) |
6028 | ;; | 6109 | ;; |
@@ -6363,7 +6444,8 @@ esac | |||
6363 | if test "${with_cflags+set}" = set; then | 6444 | if test "${with_cflags+set}" = set; then |
6364 | withval="$with_cflags" | 6445 | withval="$with_cflags" |
6365 | 6446 | ||
6366 | if test "x$withval" != "xno" ; then | 6447 | if test -n "$withval" && test "x$withval" != "xno" && \ |
6448 | test "x${withval}" != "xyes"; then | ||
6367 | CFLAGS="$CFLAGS $withval" | 6449 | CFLAGS="$CFLAGS $withval" |
6368 | fi | 6450 | fi |
6369 | 6451 | ||
@@ -6374,7 +6456,8 @@ fi; | |||
6374 | if test "${with_cppflags+set}" = set; then | 6456 | if test "${with_cppflags+set}" = set; then |
6375 | withval="$with_cppflags" | 6457 | withval="$with_cppflags" |
6376 | 6458 | ||
6377 | if test "x$withval" != "xno"; then | 6459 | if test -n "$withval" && test "x$withval" != "xno" && \ |
6460 | test "x${withval}" != "xyes"; then | ||
6378 | CPPFLAGS="$CPPFLAGS $withval" | 6461 | CPPFLAGS="$CPPFLAGS $withval" |
6379 | fi | 6462 | fi |
6380 | 6463 | ||
@@ -6385,7 +6468,8 @@ fi; | |||
6385 | if test "${with_ldflags+set}" = set; then | 6468 | if test "${with_ldflags+set}" = set; then |
6386 | withval="$with_ldflags" | 6469 | withval="$with_ldflags" |
6387 | 6470 | ||
6388 | if test "x$withval" != "xno" ; then | 6471 | if test -n "$withval" && test "x$withval" != "xno" && \ |
6472 | test "x${withval}" != "xyes"; then | ||
6389 | LDFLAGS="$LDFLAGS $withval" | 6473 | LDFLAGS="$LDFLAGS $withval" |
6390 | fi | 6474 | fi |
6391 | 6475 | ||
@@ -6396,7 +6480,8 @@ fi; | |||
6396 | if test "${with_libs+set}" = set; then | 6480 | if test "${with_libs+set}" = set; then |
6397 | withval="$with_libs" | 6481 | withval="$with_libs" |
6398 | 6482 | ||
6399 | if test "x$withval" != "xno" ; then | 6483 | if test -n "$withval" && test "x$withval" != "xno" && \ |
6484 | test "x${withval}" != "xyes"; then | ||
6400 | LIBS="$LIBS $withval" | 6485 | LIBS="$LIBS $withval" |
6401 | fi | 6486 | fi |
6402 | 6487 | ||
@@ -8171,12 +8256,11 @@ fi | |||
8171 | # Check whether --with-zlib or --without-zlib was given. | 8256 | # Check whether --with-zlib or --without-zlib was given. |
8172 | if test "${with_zlib+set}" = set; then | 8257 | if test "${with_zlib+set}" = set; then |
8173 | withval="$with_zlib" | 8258 | withval="$with_zlib" |
8174 | 8259 | if test "x$withval" = "xno" ; then | |
8175 | if test "x$withval" = "xno" ; then | 8260 | { { echo "$as_me:$LINENO: error: *** zlib is required ***" >&5 |
8176 | { { echo "$as_me:$LINENO: error: *** zlib is required ***" >&5 | ||
8177 | echo "$as_me: error: *** zlib is required ***" >&2;} | 8261 | echo "$as_me: error: *** zlib is required ***" >&2;} |
8178 | { (exit 1); exit 1; }; } | 8262 | { (exit 1); exit 1; }; } |
8179 | fi | 8263 | elif test "x$withval" != "xyes"; then |
8180 | if test -d "$withval/lib"; then | 8264 | if test -d "$withval/lib"; then |
8181 | if test -n "${need_dash_r}"; then | 8265 | if test -n "${need_dash_r}"; then |
8182 | LDFLAGS="-L${withval}/lib -R${withval}/lib ${LDFLAGS}" | 8266 | LDFLAGS="-L${withval}/lib -R${withval}/lib ${LDFLAGS}" |
@@ -8195,7 +8279,7 @@ echo "$as_me: error: *** zlib is required ***" >&2;} | |||
8195 | else | 8279 | else |
8196 | CPPFLAGS="-I${withval} ${CPPFLAGS}" | 8280 | CPPFLAGS="-I${withval} ${CPPFLAGS}" |
8197 | fi | 8281 | fi |
8198 | 8282 | fi | |
8199 | 8283 | ||
8200 | fi; | 8284 | fi; |
8201 | 8285 | ||
@@ -8506,8 +8590,8 @@ if test "${with_zlib_version_check+set}" = set; then | |||
8506 | 8590 | ||
8507 | fi; | 8591 | fi; |
8508 | 8592 | ||
8509 | echo "$as_me:$LINENO: checking for zlib 1.1.4 or greater" >&5 | 8593 | echo "$as_me:$LINENO: checking for possibly buggy zlib" >&5 |
8510 | echo $ECHO_N "checking for zlib 1.1.4 or greater... $ECHO_C" >&6 | 8594 | echo $ECHO_N "checking for possibly buggy zlib... $ECHO_C" >&6 |
8511 | if test "$cross_compiling" = yes; then | 8595 | if test "$cross_compiling" = yes; then |
8512 | { echo "$as_me:$LINENO: WARNING: cross compiling: not checking zlib version" >&5 | 8596 | { echo "$as_me:$LINENO: WARNING: cross compiling: not checking zlib version" >&5 |
8513 | echo "$as_me: WARNING: cross compiling: not checking zlib version" >&2;} | 8597 | echo "$as_me: WARNING: cross compiling: not checking zlib version" >&2;} |
@@ -8520,15 +8604,25 @@ cat confdefs.h >>conftest.$ac_ext | |||
8520 | cat >>conftest.$ac_ext <<_ACEOF | 8604 | cat >>conftest.$ac_ext <<_ACEOF |
8521 | /* end confdefs.h. */ | 8605 | /* end confdefs.h. */ |
8522 | 8606 | ||
8607 | #include <stdio.h> | ||
8523 | #include <zlib.h> | 8608 | #include <zlib.h> |
8524 | int main() | 8609 | int main() |
8525 | { | 8610 | { |
8526 | int a, b, c, v; | 8611 | int a=0, b=0, c=0, d=0, n, v; |
8527 | if (sscanf(ZLIB_VERSION, "%d.%d.%d", &a, &b, &c) != 3) | 8612 | n = sscanf(ZLIB_VERSION, "%d.%d.%d.%d", &a, &b, &c, &d); |
8613 | if (n != 3 && n != 4) | ||
8528 | exit(1); | 8614 | exit(1); |
8529 | v = a*1000000 + b*1000 + c; | 8615 | v = a*1000000 + b*10000 + c*100 + d; |
8530 | if (v >= 1001004) | 8616 | fprintf(stderr, "found zlib version %s (%d)\n", ZLIB_VERSION, v); |
8617 | |||
8618 | /* 1.1.4 is OK */ | ||
8619 | if (a == 1 && b == 1 && c >= 4) | ||
8620 | exit(0); | ||
8621 | |||
8622 | /* 1.2.1.2 and up are OK */ | ||
8623 | if (v >= 1020102) | ||
8531 | exit(0); | 8624 | exit(0); |
8625 | |||
8532 | exit(2); | 8626 | exit(2); |
8533 | } | 8627 | } |
8534 | 8628 | ||
@@ -8544,29 +8638,31 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | |||
8544 | ac_status=$? | 8638 | ac_status=$? |
8545 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 8639 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
8546 | (exit $ac_status); }; }; then | 8640 | (exit $ac_status); }; }; then |
8547 | echo "$as_me:$LINENO: result: yes" >&5 | 8641 | echo "$as_me:$LINENO: result: no" >&5 |
8548 | echo "${ECHO_T}yes" >&6 | 8642 | echo "${ECHO_T}no" >&6 |
8549 | else | 8643 | else |
8550 | echo "$as_me: program exited with status $ac_status" >&5 | 8644 | echo "$as_me: program exited with status $ac_status" >&5 |
8551 | echo "$as_me: failed program was:" >&5 | 8645 | echo "$as_me: failed program was:" >&5 |
8552 | sed 's/^/| /' conftest.$ac_ext >&5 | 8646 | sed 's/^/| /' conftest.$ac_ext >&5 |
8553 | 8647 | ||
8554 | ( exit $ac_status ) | 8648 | ( exit $ac_status ) |
8555 | echo "$as_me:$LINENO: result: no" >&5 | 8649 | echo "$as_me:$LINENO: result: yes" >&5 |
8556 | echo "${ECHO_T}no" >&6 | 8650 | echo "${ECHO_T}yes" >&6 |
8557 | if test -z "$zlib_check_nonfatal" ; then | 8651 | if test -z "$zlib_check_nonfatal" ; then |
8558 | { { echo "$as_me:$LINENO: error: *** zlib too old - check config.log *** | 8652 | { { echo "$as_me:$LINENO: error: *** zlib too old - check config.log *** |
8559 | Your reported zlib version has known security problems. It's possible your | 8653 | Your reported zlib version has known security problems. It's possible your |
8560 | vendor has fixed these problems without changing the version number. If you | 8654 | vendor has fixed these problems without changing the version number. If you |
8561 | are sure this is the case, you can disable the check by running | 8655 | are sure this is the case, you can disable the check by running |
8562 | \"./configure --without-zlib-version-check\". | 8656 | \"./configure --without-zlib-version-check\". |
8563 | If you are in doubt, upgrade zlib to version 1.1.4 or greater." >&5 | 8657 | If you are in doubt, upgrade zlib to version 1.2.1.2 or greater. |
8658 | See http://www.gzip.org/zlib/ for details." >&5 | ||
8564 | echo "$as_me: error: *** zlib too old - check config.log *** | 8659 | echo "$as_me: error: *** zlib too old - check config.log *** |
8565 | Your reported zlib version has known security problems. It's possible your | 8660 | Your reported zlib version has known security problems. It's possible your |
8566 | vendor has fixed these problems without changing the version number. If you | 8661 | vendor has fixed these problems without changing the version number. If you |
8567 | are sure this is the case, you can disable the check by running | 8662 | are sure this is the case, you can disable the check by running |
8568 | \"./configure --without-zlib-version-check\". | 8663 | \"./configure --without-zlib-version-check\". |
8569 | If you are in doubt, upgrade zlib to version 1.1.4 or greater." >&2;} | 8664 | If you are in doubt, upgrade zlib to version 1.2.1.2 or greater. |
8665 | See http://www.gzip.org/zlib/ for details." >&2;} | ||
8570 | { (exit 1); exit 1; }; } | 8666 | { (exit 1); exit 1; }; } |
8571 | else | 8667 | else |
8572 | { echo "$as_me:$LINENO: WARNING: zlib version may have security problems" >&5 | 8668 | { echo "$as_me:$LINENO: WARNING: zlib version may have security problems" >&5 |
@@ -9753,7 +9849,8 @@ if test "${with_tcp_wrappers+set}" = set; then | |||
9753 | saved_LIBS="$LIBS" | 9849 | saved_LIBS="$LIBS" |
9754 | saved_LDFLAGS="$LDFLAGS" | 9850 | saved_LDFLAGS="$LDFLAGS" |
9755 | saved_CPPFLAGS="$CPPFLAGS" | 9851 | saved_CPPFLAGS="$CPPFLAGS" |
9756 | if test -n "${withval}" -a "${withval}" != "yes"; then | 9852 | if test -n "${withval}" && \ |
9853 | test "x${withval}" != "xyes"; then | ||
9757 | if test -d "${withval}/lib"; then | 9854 | if test -d "${withval}/lib"; then |
9758 | if test -n "${need_dash_r}"; then | 9855 | if test -n "${need_dash_r}"; then |
9759 | LDFLAGS="-L${withval}/lib -R${withval}/lib ${LDFLAGS}" | 9856 | LDFLAGS="-L${withval}/lib -R${withval}/lib ${LDFLAGS}" |
@@ -9856,13 +9953,17 @@ LIBEDIT_MSG="no" | |||
9856 | if test "${with_libedit+set}" = set; then | 9953 | if test "${with_libedit+set}" = set; then |
9857 | withval="$with_libedit" | 9954 | withval="$with_libedit" |
9858 | if test "x$withval" != "xno" ; then | 9955 | if test "x$withval" != "xno" ; then |
9956 | if test "x$withval" != "xyes"; then | ||
9957 | CPPFLAGS="$CPPFLAGS -I$withval/include" | ||
9958 | LDFLAGS="$LDFLAGS -L$withval/lib" | ||
9959 | fi | ||
9859 | echo "$as_me:$LINENO: checking for el_init in -ledit" >&5 | 9960 | echo "$as_me:$LINENO: checking for el_init in -ledit" >&5 |
9860 | echo $ECHO_N "checking for el_init in -ledit... $ECHO_C" >&6 | 9961 | echo $ECHO_N "checking for el_init in -ledit... $ECHO_C" >&6 |
9861 | if test "${ac_cv_lib_edit_el_init+set}" = set; then | 9962 | if test "${ac_cv_lib_edit_el_init+set}" = set; then |
9862 | echo $ECHO_N "(cached) $ECHO_C" >&6 | 9963 | echo $ECHO_N "(cached) $ECHO_C" >&6 |
9863 | else | 9964 | else |
9864 | ac_check_lib_save_LIBS=$LIBS | 9965 | ac_check_lib_save_LIBS=$LIBS |
9865 | LIBS="-ledit -lcurses | 9966 | LIBS="-ledit -lcurses |
9866 | $LIBS" | 9967 | $LIBS" |
9867 | cat >conftest.$ac_ext <<_ACEOF | 9968 | cat >conftest.$ac_ext <<_ACEOF |
9868 | /* confdefs.h. */ | 9969 | /* confdefs.h. */ |
@@ -9931,6 +10032,10 @@ _ACEOF | |||
9931 | LIBEDIT_MSG="yes" | 10032 | LIBEDIT_MSG="yes" |
9932 | 10033 | ||
9933 | 10034 | ||
10035 | else | ||
10036 | { { echo "$as_me:$LINENO: error: libedit not found" >&5 | ||
10037 | echo "$as_me: error: libedit not found" >&2;} | ||
10038 | { (exit 1); exit 1; }; } | ||
9934 | fi | 10039 | fi |
9935 | 10040 | ||
9936 | fi | 10041 | fi |
@@ -12733,8 +12838,14 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | |||
12733 | ac_status=$? | 12838 | ac_status=$? |
12734 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 12839 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
12735 | (exit $ac_status); }; }; then | 12840 | (exit $ac_status); }; }; then |
12736 | echo "$as_me:$LINENO: result: yes" >&5 | 12841 | echo "$as_me:$LINENO: result: yes" >&5 |
12737 | echo "${ECHO_T}yes" >&6 | 12842 | echo "${ECHO_T}yes" >&6 |
12843 | |||
12844 | cat >>confdefs.h <<\_ACEOF | ||
12845 | #define HAVE_SO_PEERCRED | ||
12846 | _ACEOF | ||
12847 | |||
12848 | |||
12738 | else | 12849 | else |
12739 | echo "$as_me: failed program was:" >&5 | 12850 | echo "$as_me: failed program was:" >&5 |
12740 | sed 's/^/| /' conftest.$ac_ext >&5 | 12851 | sed 's/^/| /' conftest.$ac_ext >&5 |
@@ -12895,7 +13006,8 @@ rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftes | |||
12895 | fi | 13006 | fi |
12896 | fi | 13007 | fi |
12897 | 13008 | ||
12898 | if test "x$ac_cv_func_getaddrinfo" = "xyes" -a "x$check_for_hpux_broken_getaddrinfo" = "x1"; then | 13009 | if test "x$ac_cv_func_getaddrinfo" = "xyes" && \ |
13010 | test "x$check_for_hpux_broken_getaddrinfo" = "x1"; then | ||
12899 | echo "$as_me:$LINENO: checking if getaddrinfo seems to work" >&5 | 13011 | echo "$as_me:$LINENO: checking if getaddrinfo seems to work" >&5 |
12900 | echo $ECHO_N "checking if getaddrinfo seems to work... $ECHO_C" >&6 | 13012 | echo $ECHO_N "checking if getaddrinfo seems to work... $ECHO_C" >&6 |
12901 | if test "$cross_compiling" = yes; then | 13013 | if test "$cross_compiling" = yes; then |
@@ -13002,7 +13114,8 @@ rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftes | |||
13002 | fi | 13114 | fi |
13003 | fi | 13115 | fi |
13004 | 13116 | ||
13005 | if test "x$ac_cv_func_getaddrinfo" = "xyes" -a "x$check_for_aix_broken_getaddrinfo" = "x1"; then | 13117 | if test "x$ac_cv_func_getaddrinfo" = "xyes" && \ |
13118 | test "x$check_for_aix_broken_getaddrinfo" = "x1"; then | ||
13006 | echo "$as_me:$LINENO: checking if getaddrinfo seems to work" >&5 | 13119 | echo "$as_me:$LINENO: checking if getaddrinfo seems to work" >&5 |
13007 | echo $ECHO_N "checking if getaddrinfo seems to work... $ECHO_C" >&6 | 13120 | echo $ECHO_N "checking if getaddrinfo seems to work... $ECHO_C" >&6 |
13008 | if test "$cross_compiling" = yes; then | 13121 | if test "$cross_compiling" = yes; then |
@@ -14272,7 +14385,7 @@ echo "$as_me: WARNING: *** Forcing use of OpenSSL's non-self-seeding PRNG" >&2;} | |||
14272 | fi; | 14385 | fi; |
14273 | 14386 | ||
14274 | # Which randomness source do we use? | 14387 | # Which randomness source do we use? |
14275 | if test ! -z "$OPENSSL_SEEDS_ITSELF" -a -z "$USE_RAND_HELPER" ; then | 14388 | if test ! -z "$OPENSSL_SEEDS_ITSELF" && test -z "$USE_RAND_HELPER" ; then |
14276 | # OpenSSL only | 14389 | # OpenSSL only |
14277 | cat >>confdefs.h <<\_ACEOF | 14390 | cat >>confdefs.h <<\_ACEOF |
14278 | #define OPENSSL_PRNG_ONLY 1 | 14391 | #define OPENSSL_PRNG_ONLY 1 |
@@ -14393,7 +14506,8 @@ entropy_timeout=200 | |||
14393 | if test "${with_entropy_timeout+set}" = set; then | 14506 | if test "${with_entropy_timeout+set}" = set; then |
14394 | withval="$with_entropy_timeout" | 14507 | withval="$with_entropy_timeout" |
14395 | 14508 | ||
14396 | if test "x$withval" != "xno" ; then | 14509 | if test -n "$withval" && test "x$withval" != "xno" && \ |
14510 | test "x${withval}" != "xyes"; then | ||
14397 | entropy_timeout=$withval | 14511 | entropy_timeout=$withval |
14398 | fi | 14512 | fi |
14399 | 14513 | ||
@@ -14410,7 +14524,8 @@ SSH_PRIVSEP_USER=sshd | |||
14410 | if test "${with_privsep_user+set}" = set; then | 14524 | if test "${with_privsep_user+set}" = set; then |
14411 | withval="$with_privsep_user" | 14525 | withval="$with_privsep_user" |
14412 | 14526 | ||
14413 | if test -n "$withval"; then | 14527 | if test -n "$withval" && test "x$withval" != "xno" && \ |
14528 | test "x${withval}" != "xyes"; then | ||
14414 | SSH_PRIVSEP_USER=$withval | 14529 | SSH_PRIVSEP_USER=$withval |
14415 | fi | 14530 | fi |
14416 | 14531 | ||
@@ -19152,9 +19267,9 @@ fi | |||
19152 | 19267 | ||
19153 | 19268 | ||
19154 | # We need int64_t or else certian parts of the compile will fail. | 19269 | # We need int64_t or else certian parts of the compile will fail. |
19155 | if test "x$ac_cv_have_int64_t" = "xno" -a \ | 19270 | if test "x$ac_cv_have_int64_t" = "xno" && \ |
19156 | "x$ac_cv_sizeof_long_int" != "x8" -a \ | 19271 | test "x$ac_cv_sizeof_long_int" != "x8" && \ |
19157 | "x$ac_cv_sizeof_long_long_int" = "x0" ; then | 19272 | test "x$ac_cv_sizeof_long_long_int" = "x0" ; then |
19158 | echo "OpenSSH requires int64_t support. Contact your vendor or install" | 19273 | echo "OpenSSH requires int64_t support. Contact your vendor or install" |
19159 | echo "an alternative compiler (I.E., GCC) before continuing." | 19274 | echo "an alternative compiler (I.E., GCC) before continuing." |
19160 | echo "" | 19275 | echo "" |
@@ -21195,17 +21310,17 @@ _ACEOF | |||
21195 | fi; | 21310 | fi; |
21196 | 21311 | ||
21197 | # Check whether user wants OpenSC support | 21312 | # Check whether user wants OpenSC support |
21313 | OPENSC_CONFIG="no" | ||
21198 | 21314 | ||
21199 | # Check whether --with-opensc or --without-opensc was given. | 21315 | # Check whether --with-opensc or --without-opensc was given. |
21200 | if test "${with_opensc+set}" = set; then | 21316 | if test "${with_opensc+set}" = set; then |
21201 | withval="$with_opensc" | 21317 | withval="$with_opensc" |
21202 | opensc_config_prefix="$withval" | 21318 | |
21203 | else | 21319 | if test "x$withval" != "xno" ; then |
21204 | opensc_config_prefix="" | 21320 | if test "x$withval" != "xyes" ; then |
21205 | fi; | 21321 | OPENSC_CONFIG=$withval/bin/opensc-config |
21206 | if test x$opensc_config_prefix != x ; then | 21322 | else |
21207 | OPENSC_CONFIG=$opensc_config_prefix/bin/opensc-config | 21323 | # Extract the first word of "opensc-config", so it can be a program name with args. |
21208 | # Extract the first word of "opensc-config", so it can be a program name with args. | ||
21209 | set dummy opensc-config; ac_word=$2 | 21324 | set dummy opensc-config; ac_word=$2 |
21210 | echo "$as_me:$LINENO: checking for $ac_word" >&5 | 21325 | echo "$as_me:$LINENO: checking for $ac_word" >&5 |
21211 | echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 | 21326 | echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 |
@@ -21245,22 +21360,26 @@ else | |||
21245 | echo "${ECHO_T}no" >&6 | 21360 | echo "${ECHO_T}no" >&6 |
21246 | fi | 21361 | fi |
21247 | 21362 | ||
21248 | if test "$OPENSC_CONFIG" != "no"; then | 21363 | fi |
21249 | LIBOPENSC_CFLAGS=`$OPENSC_CONFIG --cflags` | 21364 | if test "$OPENSC_CONFIG" != "no"; then |
21250 | LIBOPENSC_LIBS=`$OPENSC_CONFIG --libs` | 21365 | LIBOPENSC_CFLAGS=`$OPENSC_CONFIG --cflags` |
21251 | CPPFLAGS="$CPPFLAGS $LIBOPENSC_CFLAGS" | 21366 | LIBOPENSC_LIBS=`$OPENSC_CONFIG --libs` |
21252 | LDFLAGS="$LDFLAGS $LIBOPENSC_LIBS" | 21367 | CPPFLAGS="$CPPFLAGS $LIBOPENSC_CFLAGS" |
21253 | cat >>confdefs.h <<\_ACEOF | 21368 | LDFLAGS="$LDFLAGS $LIBOPENSC_LIBS" |
21369 | cat >>confdefs.h <<\_ACEOF | ||
21254 | #define SMARTCARD 1 | 21370 | #define SMARTCARD 1 |
21255 | _ACEOF | 21371 | _ACEOF |
21256 | 21372 | ||
21257 | cat >>confdefs.h <<\_ACEOF | 21373 | cat >>confdefs.h <<\_ACEOF |
21258 | #define USE_OPENSC 1 | 21374 | #define USE_OPENSC 1 |
21259 | _ACEOF | 21375 | _ACEOF |
21260 | 21376 | ||
21261 | SCARD_MSG="yes, using OpenSC" | 21377 | SCARD_MSG="yes, using OpenSC" |
21262 | fi | 21378 | fi |
21263 | fi | 21379 | fi |
21380 | |||
21381 | |||
21382 | fi; | ||
21264 | 21383 | ||
21265 | # Check libraries needed by DNS fingerprint support | 21384 | # Check libraries needed by DNS fingerprint support |
21266 | echo "$as_me:$LINENO: checking for library containing getrrsetbyname" >&5 | 21385 | echo "$as_me:$LINENO: checking for library containing getrrsetbyname" >&5 |
@@ -23659,7 +23778,8 @@ PRIVSEP_PATH=/var/empty | |||
23659 | if test "${with_privsep_path+set}" = set; then | 23778 | if test "${with_privsep_path+set}" = set; then |
23660 | withval="$with_privsep_path" | 23779 | withval="$with_privsep_path" |
23661 | 23780 | ||
23662 | if test "x$withval" != "$no" ; then | 23781 | if test -n "$withval" && test "x$withval" != "xno" && \ |
23782 | test "x${withval}" != "xyes"; then | ||
23663 | PRIVSEP_PATH=$withval | 23783 | PRIVSEP_PATH=$withval |
23664 | fi | 23784 | fi |
23665 | 23785 | ||
@@ -23672,7 +23792,8 @@ fi; | |||
23672 | if test "${with_xauth+set}" = set; then | 23792 | if test "${with_xauth+set}" = set; then |
23673 | withval="$with_xauth" | 23793 | withval="$with_xauth" |
23674 | 23794 | ||
23675 | if test "x$withval" != "xno" ; then | 23795 | if test -n "$withval" && test "x$withval" != "xno" && \ |
23796 | test "x${withval}" != "xyes"; then | ||
23676 | xauth_path=$withval | 23797 | xauth_path=$withval |
23677 | fi | 23798 | fi |
23678 | 23799 | ||
@@ -24095,8 +24216,8 @@ _ACEOF | |||
24095 | fi | 24216 | fi |
24096 | fi | 24217 | fi |
24097 | 24218 | ||
24098 | if test $ac_cv_func_login_getcapbool = "yes" -a \ | 24219 | if test $ac_cv_func_login_getcapbool = "yes" && \ |
24099 | $ac_cv_header_login_cap_h = "yes" ; then | 24220 | test $ac_cv_header_login_cap_h = "yes" ; then |
24100 | external_path_file=/etc/login.conf | 24221 | external_path_file=/etc/login.conf |
24101 | fi | 24222 | fi |
24102 | 24223 | ||
@@ -24240,7 +24361,8 @@ fi | |||
24240 | if test "${with_superuser_path+set}" = set; then | 24361 | if test "${with_superuser_path+set}" = set; then |
24241 | withval="$with_superuser_path" | 24362 | withval="$with_superuser_path" |
24242 | 24363 | ||
24243 | if test "x$withval" != "xno" ; then | 24364 | if test -n "$withval" && test "x$withval" != "xno" && \ |
24365 | test "x${withval}" != "xyes"; then | ||
24244 | cat >>confdefs.h <<_ACEOF | 24366 | cat >>confdefs.h <<_ACEOF |
24245 | #define SUPERUSER_PATH "$withval" | 24367 | #define SUPERUSER_PATH "$withval" |
24246 | _ACEOF | 24368 | _ACEOF |
@@ -24324,7 +24446,8 @@ fi | |||
24324 | if test "${with_pid_dir+set}" = set; then | 24446 | if test "${with_pid_dir+set}" = set; then |
24325 | withval="$with_pid_dir" | 24447 | withval="$with_pid_dir" |
24326 | 24448 | ||
24327 | if test "x$withval" != "xno" ; then | 24449 | if test -n "$withval" && test "x$withval" != "xno" && \ |
24450 | test "x${withval}" != "xyes"; then | ||
24328 | piddir=$withval | 24451 | piddir=$withval |
24329 | if test ! -d $piddir ; then | 24452 | if test ! -d $piddir ; then |
24330 | { echo "$as_me:$LINENO: WARNING: ** no $piddir directory on this system **" >&5 | 24453 | { echo "$as_me:$LINENO: WARNING: ** no $piddir directory on this system **" >&5 |
@@ -24455,7 +24578,7 @@ if test "${with_lastlog+set}" = set; then | |||
24455 | #define DISABLE_LASTLOG 1 | 24578 | #define DISABLE_LASTLOG 1 |
24456 | _ACEOF | 24579 | _ACEOF |
24457 | 24580 | ||
24458 | else | 24581 | elif test -n "$withval" && test "x${withval}" != "xyes"; then |
24459 | conf_lastlog_location=$withval | 24582 | conf_lastlog_location=$withval |
24460 | fi | 24583 | fi |
24461 | 24584 | ||
@@ -25290,9 +25413,9 @@ exec 6>&1 | |||
25290 | exec 5>>config.log | 25413 | exec 5>>config.log |
25291 | { | 25414 | { |
25292 | echo | 25415 | echo |
25293 | sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<BOXI_EOF | 25416 | sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX |
25294 | ## Running $as_me. ## | 25417 | ## Running $as_me. ## |
25295 | BOXI_EOF | 25418 | _ASBOX |
25296 | } >&5 | 25419 | } >&5 |
25297 | cat >&5 <<_CSEOF | 25420 | cat >&5 <<_CSEOF |
25298 | 25421 | ||